<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Diasderecepcion{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO diasderecepcion (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($iddiasderecepcion,$nombre,$descripcion){
	$sql="UPDATE diasderecepcion SET nombre='$nombre',descripcion='$descripcion' 
	WHERE iddiasderecepcion='$iddiasderecepcion'";
	return ejecutarConsulta($sql);
}
public function desactivar($iddiasderecepcion){
	$sql="UPDATE diasderecepcion SET condicion='0' WHERE iddiasderecepcion='$iddiasderecepcion'";
	return ejecutarConsulta($sql);
}
public function activar($iddiasderecepcion){
	$sql="UPDATE diasderecepcion SET condicion='1' WHERE iddiasderecepcion='$iddiasderecepcion'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($iddiasderecepcion){
	$sql="SELECT * FROM diasderecepcion WHERE iddiasderecepcion='$iddiasderecepcion'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM diasderecepcion";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM diasderecepcion WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
